#!/usr/bin/env perl

open( FILE, "gjournal/globals.cpp" );
@lines = <FILE>;
close( FILE );

foreach $line( @lines )
{
	if( $line =~ /Globals\:\:version \= \"(.*)\"\;/ )
	{
		$version = $1;
		break;
	}
}

if( !$version )
{
	print "Could not find version information!";
	exit;
}

print "Current version: $version\n";

system( "make distclean" );
chdir( ".." );
system( "tar --exclude CVS -jcvf ../gtkjournal-$version\.tar.bz2 gtkjournal" );
system( "scp ../gtkjournal-$version\.tar.bz2 synic\@linuxhelp.homeunix.com:/usr/local/www/htdocs/gtkjournal/files/" );

print "\nDone.\n\n";

exit;
